1. ddos-protection
Ryzehosting
  • account
    • redeem voucher
    • save address
    • affiliate stats
    • transactions
    • get address
    • dashboard
    • balance
    • session
  • domain
    • whois privacy update
    • whois privacy get
    • contact update
    • nameservers
    • dns-records
    • contact get
    • dns update
    • authcode
    • pricelist
    • details
    • check
    • order
    • list
  • server
    • firewall
      • firewall
      • firewall rule create
      • firewall rule update
      • firewall rule toggle
      • firewall rule delete
      • firewall rule move
      • firewall options
    • ddos-protection
      • ddos
        GET
      • ddos rules
        GET
      • ddos attack
        GET
      • ddos webhook create
        POST
      • ddos webhook update
        PUT
      • ddos webhook delete
        DELETE
      • ddos webhook toggle
        PATCH
      • ddos webhook test
        POST
      • ddos port rule delete
        DELETE
    • ipaddresses
      GET
    • password
      POST
    • hardware
      GET
    • reinstall
      POST
    • rrddata
      GET
    • cancel
      POST
    • status
      GET
    • prices
      GET
    • config
      GET
    • renew
      POST
    • power
      POST
    • hosts
      GET
    • order
      POST
    • vnc
      GET
    • list
      GET
    • ptr
      POST
    • os
      GET
    • ptr
      POST
  • webspace
    • packages
    • details
    • renew
    • status
    • order
    • list
  • ryzectrl
    • packages
    • details
    • renew
    • order
    • list
  • ticket
    • messages
    • message
    • details
    • create
    • open
    • close
    • list
  • tools
    • Create UUID
    • Iban Verify
    • Network
    • NoVNC
    • Whois
  • Schemas
    • Unauthorized
    • Success
  1. ddos-protection

ddos webhook toggle

PATCH
/server/ddos/webhooks/toggle

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/jsonRequired

Examples

Responses

🟢200OK
application/json
Bodyapplication/json

🟠401Unauthorized
🟠400Bad Request
🟠403Forbidden
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH 'https://dash.ryzehosting.com/api/v2//server/ddos/webhooks/toggle' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "uuid": "019b1fc5-83e5-81b1-9592-1537b03ad483",
    "id": 1,
    "enabled": true
}'
Response Response Example
200 - Success
{
    "response": "Webhook status updated successfully",
    "state": "success",
    "code": 200,
    "data": {
        "uuid": "019b1fc5-83e5-81b1-9592-1537b03ad483",
        "ips": [
            "185.1.2.3"
        ],
        "attacks": [
            {
                "attack_id": 123,
                "ip": "185.1.2.3",
                "started_at": "2026-06-08T10:00:00+02:00",
                "ended_at": null,
                "maximum_peak": "1.2 Gbps",
                "raw_maximum_peak": 1200000000,
                "types": [
                    "UDP"
                ],
                "ongoing": true
            }
        ],
        "webhooks": [
            {
                "id": 1,
                "name": "Mein Webhook",
                "url": "https://discord.com/api/webhooks/example",
                "enabled": true,
                "allowed_ips": [
                    "185.1.2.3"
                ]
            }
        ],
        "attacks_period_days": 30,
        "attacks_period_mode": "last_30_days",
        "attacks_since_date": "2026-05-09T00:00:00+02:00",
        "can_manage_webhooks": true
    }
}
Modified at 2026-06-08 21:08:25
Previous
ddos webhook delete
Next
ddos webhook test
Built with